
QGIS Application - Bug report #824

QGIS crashes when attempting to paste feature to a new layer

2007-11-22 03:00 PM - gburns -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10883

Description

QGIS crashes when attempting to paste a feature to a new layer if that new layer does not have the same number of attribute fields as the

source layer.

QGIS should intercept the attempt and let the user know that something is wrong.

History

#1 - 2007-12-11 03:01 PM - Jürgen Fischer

I tried by copying a polygon with 3 attributes to a new polygon layer with just 1 attribute.  Doesn't crash here, although the attributes are not copied

correctly.  Can you reproduce this with the current revision?

#2 - 2008-04-17 10:02 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

no response for 4 month.  Probably solved.

#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
